Subject: Re: vger not relaying some of Junio's messages today?

From: Brandon Williams <[email-masked]>
Date: Mon, 8 May 2017 10:01:36 -0700

On 05/08, Johannes Schindelin wrote:
> Hi Ævar,
> 
> On Sat, 6 May 2017, Ævar Arnfjörð Bjarmason wrote:
> 
> > I have one [script] to git am a patch from a msgid, thought I should
> > write something to handle a series in some DWIM fashion (e.g. apply the
> > latest continuous sequence of patches matching --author) but figured
> > that someone's probably wrote this already & I don't need to hack it up
> > myself...
> 
> You probably missed my previous mails mentioning
> 
> https://github.com/git-for-windows/build-extra/blob/master/apply-from-public-inbox.sh
> 
> You can use this script to apply single patches (identified by their
> Message-ID), and patch series (identified by their cover letter's
> Message-ID).
> 
> As I mentioned at the Contributors' Summit at GitMerge 2017: I would
> *love* to collaborate on tools that make any part of the
> contribution/review process less cumbersome than it is right now.

Yeah its not the most streamlined process.  I'm sure everyone writes
their own scripts (like I did) tailored to their workflow.  For example
I just tag a bunch of mails in mutt and then have a scripts which 'git
am's them on a branch/base of my choosing.  But its specific to
my workflow so idk how useful it would be to others :(

-- 
Brandon Williams